<?php
/************************************************************************/
/* Maximus CMS: Web Portal System                                       */
/* ==============================                                       */
/*                                                                      */
/* Copyright (c) 2002 - 2006                                            */
/* http://www.php-maximus.fr                                            */
/* dev@php-maximus.org                                                  */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/* Based on PHP-NUKE: Web Portal System                                 */
/************************************************************************/
/********************************************************/
/* NukeSentinel(tm)                                     */
/* By: NukeScripts Network (webmaster@nukescripts.net)  */
/* http://www.nukescripts.net                           */
/* Copyright  2000-2005 by NukeScripts Network         */
/********************************************************/
if (!defined('ADMIN_ALLOW') && !defined('ADMIN_MAX')) {
	die ("Access Denied");
}
global $admin_file;
if(!isset($admin_file)) { $admin_file = "admin"; }
if (defined("NUKESENTINEL_IS_LOADED")) { $ab_config = abget_configs(); }
else  { $op = 'ABLoadError'; }
$sentineladmin = 1;


if(!isset($lang)) { $lang = $language; }
if (!stristr("$lang", ".") AND file_exists($lang_dir."language/nukesentinel/lang-$lang.php")) {
if (is_file($lang_dir."language/nukesentinel/lang-$lang.php")) {
  include_once($lang_dir."language/nukesentinel/lang-$lang.php");}
} else {
if (is_file($lang_dir."language/nukesentinel/lang-english.php")) {
  include_once($lang_dir."language/nukesentinel/lang-english.php");}
}


include_once("admin/modules/nukesentinel/functions.php");
$textrowcol = "rows='10' cols='75'";
$getAdmin = $db->sql_fetchrow($db->sql_query("SELECT * FROM `".TABLE_AUTHORS."` WHERE `aid`='$aid'"));
if ($getAdmin['radminsuper'] == 1) {
  switch ($op) {
    case 'ABAuthEdit':include('admin/modules/nukesentinel/ABAuthEdit.php');break;
    case 'ABAuthEditSave':include('admin/modules/nukesentinel/ABAuthEditSave.php');break;
    case 'ABAuthList':include('admin/modules/nukesentinel/ABAuthList.php');break;
    case 'ABAuthListScan':include('admin/modules/nukesentinel/ABAuthListScan.php');break;
    case 'ABAuthResend':include('admin/modules/nukesentinel/ABAuthResend.php');break;
    case 'ABBlockedIP':include('admin/modules/nukesentinel/ABBlockedIP.php');break;
    case 'ABBlockedIPAdd':include('admin/modules/nukesentinel/ABBlockedIPAdd.php');break;
    case 'ABBlockedIPAddSave':include('admin/modules/nukesentinel/ABBlockedIPAddSave.php');break;
    case 'ABBlockedIPClear':include('admin/modules/nukesentinel/ABBlockedIPClear.php');break;
    case 'ABBlockedIPClearExpired':include('admin/modules/nukesentinel/ABBlockedIPClearExpired.php');break;
    case 'ABBlockedIPClearSave':include('admin/modules/nukesentinel/ABBlockedIPClearSave.php');break;
    case 'ABBlockedIPDelete':include('admin/modules/nukesentinel/ABBlockedIPDelete.php');break;
    case 'ABBlockedIPDeleteSave':include('admin/modules/nukesentinel/ABBlockedIPDeleteSave.php');break;
    case 'ABBlockedIPEdit':include('admin/modules/nukesentinel/ABBlockedIPEdit.php');break;
    case 'ABBlockedIPEditSave':include('admin/modules/nukesentinel/ABBlockedIPEditSave.php');break;
    case 'ABBlockedIPMenu':include('admin/modules/nukesentinel/ABBlockedIPMenu.php');break;
    case 'ABBlockedIPView':include('admin/modules/nukesentinel/ABBlockedIPView.php');break;
    case 'ABBlockedRange':include('admin/modules/nukesentinel/ABBlockedRange.php');break;
    case 'ABBlockedRangeAdd':include('admin/modules/nukesentinel/ABBlockedRangeAdd.php');break;
    case 'ABBlockedRangeAddSave':include('admin/modules/nukesentinel/ABBlockedRangeAddSave.php');break;
    case 'ABBlockedRangeClear':include('admin/modules/nukesentinel/ABBlockedRangeClear.php');break;
    case 'ABBlockedRangeClearExpired':include('admin/modules/nukesentinel/ABBlockedRangeClearExpired.php');break;
    case 'ABBlockedRangeClearSave':include('admin/modules/nukesentinel/ABBlockedRangeClearSave.php');break;
    case 'ABBlockedRangeDelete':include('admin/modules/nukesentinel/ABBlockedRangeDelete.php');break;
    case 'ABBlockedRangeDeleteSave':include('admin/modules/nukesentinel/ABBlockedRangeDeleteSave.php');break;
    case 'ABBlockedRangeEdit':include('admin/modules/nukesentinel/ABBlockedRangeEdit.php');break;
    case 'ABBlockedRangeEditSave':include('admin/modules/nukesentinel/ABBlockedRangeEditSave.php');break;
    case 'ABBlockedRangeMenu':include('admin/modules/nukesentinel/ABBlockedRangeMenu.php');break;
    case 'ABBlockedOverlapCheck':include('admin/modules/nukesentinel/ABBlockedOverlapCheck.php');break;
    case 'ABBlockedRangeView':include('admin/modules/nukesentinel/ABBlockedRangeView.php');break;
    case 'ABCGIAuth':include('admin/modules/nukesentinel/ABCGIAuth.php');break;
    case 'ABCGIBuild':include('admin/modules/nukesentinel/ABCGIBuild.php');break;
    case 'ABConfig':include('admin/modules/nukesentinel/ABConfig.php');break;
    case 'ABConfigAdmin':include('admin/modules/nukesentinel/ABConfigAdmin.php');break;
    case 'ABConfigAuthor':include('admin/modules/nukesentinel/ABConfigAuthor.php');break;
    case 'ABConfigClike':include('admin/modules/nukesentinel/ABConfigClike.php');break;
    case 'ABConfigFilter':include('admin/modules/nukesentinel/ABConfigFilter.php');break;
    case 'ABConfigFlood':include('admin/modules/nukesentinel/ABConfigFlood.php');break;
    case 'ABConfigHarvester':include('admin/modules/nukesentinel/ABConfigHarvester.php');break;
    case 'ABConfigReferer':include('admin/modules/nukesentinel/ABConfigReferer.php');break;
    case 'ABConfigRequest':include('admin/modules/nukesentinel/ABConfigRequest.php');break;
    case 'ABConfigSave':include('admin/modules/nukesentinel/ABConfigSave.php');break;
    case 'ABConfigScript':include('admin/modules/nukesentinel/ABConfigScript.php');break;
    case 'ABConfigString':include('admin/modules/nukesentinel/ABConfigString.php');break;
    case 'ABConfigUnion':include('admin/modules/nukesentinel/ABConfigUnion.php');break;
    case 'ABCountryList':include('admin/modules/nukesentinel/ABCountryList.php');break;
    case 'ABDBMaintence':include('admin/modules/nukesentinel/ABDBMaintence.php');break;
    case 'ABDBOptimize':include('admin/modules/nukesentinel/ABDBOptimize.php');break;
    case 'ABDBRepair':include('admin/modules/nukesentinel/ABDBRepair.php');break;
    case 'ABDBStructure':include('admin/modules/nukesentinel/ABDBStructure.php');break;
    case 'ABExcludedAdd':include('admin/modules/nukesentinel/ABExcludedAdd.php');break;
    case 'ABExcludedAddSave':include('admin/modules/nukesentinel/ABExcludedAddSave.php');break;
    case 'ABExcludedClear':include('admin/modules/nukesentinel/ABExcludedClear.php');break;
    case 'ABExcludedClearSave':include('admin/modules/nukesentinel/ABExcludedClearSave.php');break;
    case 'ABExcludedDelete':include('admin/modules/nukesentinel/ABExcludedDelete.php');break;
    case 'ABExcludedDeleteSave':include('admin/modules/nukesentinel/ABExcludedDeleteSave.php');break;
    case 'ABExcludedEdit':include('admin/modules/nukesentinel/ABExcludedEdit.php');break;
    case 'ABExcludedEditSave':include('admin/modules/nukesentinel/ABExcludedEditSave.php');break;
    case 'ABExcludedList':include('admin/modules/nukesentinel/ABExcludedList.php');break;
    case 'ABExcludedMenu':include('admin/modules/nukesentinel/ABExcludedMenu.php');break;
    case 'ABExcludedOverlapCheck':include('admin/modules/nukesentinel/ABExcludedOverlapCheck.php');break;
    case 'ABExcludedView':include('admin/modules/nukesentinel/ABExcludedView.php');break;
    case 'ABImport':include('admin/modules/nukesentinel/ABImport.php');break;
    case 'ABImportBlockedRange':include('admin/modules/nukesentinel/ABImportBlockedRange.php');break;
    case 'ABImportIP2Country':include('admin/modules/nukesentinel/ABImportIP2Country.php');break;
    case 'ABIP2Country':include('admin/modules/nukesentinel/ABIP2Country.php');break;
    case 'ABIP2CountryAdd':include('admin/modules/nukesentinel/ABIP2CountryAdd.php');break;
    case 'ABIP2CountryAddSave':include('admin/modules/nukesentinel/ABIP2CountryAddSave.php');break;
    case 'ABIP2CountryDelete':include('admin/modules/nukesentinel/ABIP2CountryDelete.php');break;
    case 'ABIP2CountryDeleteSave':include('admin/modules/nukesentinel/ABIP2CountryDeleteSave.php');break;
    case 'ABIP2CountryEdit':include('admin/modules/nukesentinel/ABIP2CountryEdit.php');break;
    case 'ABIP2CountryEditSave':include('admin/modules/nukesentinel/ABIP2CountryEditSave.php');break;
    case 'ABIP2CountryList':include('admin/modules/nukesentinel/ABIP2CountryList.php');break;
    case 'ABIP2CountryOverlapCheck':include('admin/modules/nukesentinel/ABIP2CountryOverlapCheck.php');break;
    case 'ABIP2CountryUpdateBlocked':include('admin/modules/nukesentinel/ABIP2CountryUpdateBlocked.php');break;
    case 'ABIP2CountryUpdateBlockedRanges':include('admin/modules/nukesentinel/ABIP2CountryUpdateBlockedRanges.php');break;
    case 'ABIP2CountryUpdateExcludedRanges':include('admin/modules/nukesentinel/ABIP2CountryUpdateExcludedRanges.php');break;
    case 'ABIP2CountryUpdateProtectedRanges':include('admin/modules/nukesentinel/ABIP2CountryUpdateProtectedRanges.php');break;
    case 'ABIP2CountryUpdateReservedRanges':include('admin/modules/nukesentinel/ABIP2CountryUpdateReservedRanges.php');break;
    case 'ABIP2CountryUpdateTracked':include('admin/modules/nukesentinel/ABIP2CountryUpdateTracked.php');break;
    case 'ABLoadError':include('admin/modules/nukesentinel/ABLoadError.php');break;
    case 'ABMain':include('admin/modules/nukesentinel/ABMain.php');break;
    case 'ABMainSave':include('admin/modules/nukesentinel/ABMainSave.php');break;
    case 'ABPrintBlockedIP':include('admin/modules/nukesentinel/ABPrintBlockedIP.php');break;
    case 'ABPrintBlockedIPView':include('admin/modules/nukesentinel/ABPrintBlockedIPView.php');break;
    case 'ABPrintBlockedRange':include('admin/modules/nukesentinel/ABPrintBlockedRange.php');break;
    case 'ABPrintBlockedRangeView':include('admin/modules/nukesentinel/ABPrintBlockedRangeView.php');break;
    case 'ABPrintExcludedList':include('admin/modules/nukesentinel/ABPrintExcludedList.php');break;
    case 'ABPrintExcludedView':include('admin/modules/nukesentinel/ABPrintExcludedView.php');break;
    case 'ABPrintProtectedList':include('admin/modules/nukesentinel/ABPrintProtectedList.php');break;
    case 'ABPrintProtectedView':include('admin/modules/nukesentinel/ABPrintProtectedView.php');break;
    case 'ABPrintReserved':include('admin/modules/nukesentinel/ABPrintReserved.php');break;
    case 'ABPrintReservedView':include('admin/modules/nukesentinel/ABPrintReservedView.php');break;
    case 'ABPrintTracked':include('admin/modules/nukesentinel/ABPrintTracked.php');break;
    case 'ABPrintTrackedPages':include('admin/modules/nukesentinel/ABPrintTrackedPages.php');break;
    case 'ABPrintTrackedUsers':include('admin/modules/nukesentinel/ABPrintTrackedUsers.php');break;
    case 'ABPrintTrackedUsersPages':include('admin/modules/nukesentinel/ABPrintTrackedUsersPages.php');break;
    case 'ABProtectedAdd':include('admin/modules/nukesentinel/ABProtectedAdd.php');break;
    case 'ABProtectedAddSave':include('admin/modules/nukesentinel/ABProtectedAddSave.php');break;
    case 'ABProtectedClear':include('admin/modules/nukesentinel/ABProtectedClear.php');break;
    case 'ABProtectedClearSave':include('admin/modules/nukesentinel/ABProtectedClearSave.php');break;
    case 'ABProtectedDelete':include('admin/modules/nukesentinel/ABProtectedDelete.php');break;
    case 'ABProtectedDeleteSave':include('admin/modules/nukesentinel/ABProtectedDeleteSave.php');break;
    case 'ABProtectedEdit':include('admin/modules/nukesentinel/ABProtectedEdit.php');break;
    case 'ABProtectedEditSave':include('admin/modules/nukesentinel/ABProtectedEditSave.php');break;
    case 'ABProtectedList':include('admin/modules/nukesentinel/ABProtectedList.php');break;
    case 'ABProtectedMenu':include('admin/modules/nukesentinel/ABProtectedMenu.php');break;
    case 'ABProtectedOverlapCheck':include('admin/modules/nukesentinel/ABProtectedOverlapCheck.php');break;
    case 'ABProtectedView':include('admin/modules/nukesentinel/ABProtectedView.php');break;
    case 'ABReservedAdd':include('admin/modules/nukesentinel/ABReservedAdd.php');break;
    case 'ABReservedAddSave':include('admin/modules/nukesentinel/ABReservedAddSave.php');break;
    case 'ABReservedClear':include('admin/modules/nukesentinel/ABReservedClear.php');break;
    case 'ABReservedClearSave':include('admin/modules/nukesentinel/ABReservedClearSave.php');break;
    case 'ABReservedDelete':include('admin/modules/nukesentinel/ABReservedDelete.php');break;
    case 'ABReservedDeleteSave':include('admin/modules/nukesentinel/ABReservedDeleteSave.php');break;
    case 'ABReservedEdit':include('admin/modules/nukesentinel/ABReservedEdit.php');break;
    case 'ABReservedEditSave':include('admin/modules/nukesentinel/ABReservedEditSave.php');break;
    case 'ABReservedList':include('admin/modules/nukesentinel/ABReservedList.php');break;
    case 'ABReservedMenu':include('admin/modules/nukesentinel/ABReservedMenu.php');break;
    case 'ABReservedOverlapCheck':include('admin/modules/nukesentinel/ABReservedOverlapCheck.php');break;
    case 'ABSearch':include('admin/modules/nukesentinel/ABSearch.php');break;
    case 'ABSearchResults':include('admin/modules/nukesentinel/ABSearchResults.php');break;
    case 'ABTracked':include('admin/modules/nukesentinel/ABTracked.php');break;
    case 'ABTrackedAdd':include('admin/modules/nukesentinel/ABTrackedAdd.php');break;
    case 'ABTrackedAddSave':include('admin/modules/nukesentinel/ABTrackedAddSave.php');break;
    case 'ABTrackedClear':include('admin/modules/nukesentinel/ABTrackedClear.php');break;
    case 'ABTrackedClearSave':include('admin/modules/nukesentinel/ABTrackedClearSave.php');break;
    case 'ABTrackedDelete':include('admin/modules/nukesentinel/ABTrackedDelete.php');break;
    case 'ABTrackedDeleteSave':include('admin/modules/nukesentinel/ABTrackedDeleteSave.php');break;
    case 'ABTrackedDeleteUser':include('admin/modules/nukesentinel/ABTrackedDeleteUser.php');break;
    case 'ABTrackedDeleteUserIP':include('admin/modules/nukesentinel/ABTrackedDeleteUserIP.php');break;
    case 'ABTrackedMenu':include('admin/modules/nukesentinel/ABTrackedMenu.php');break;
    case 'ABTrackedPages':include('admin/modules/nukesentinel/ABTrackedPages.php');break;
    case 'ABTrackedUsers':include('admin/modules/nukesentinel/ABTrackedUsers.php');break;
    case 'ABTrackedUsersIPs':include('admin/modules/nukesentinel/ABTrackedUsersIPs.php');break;
    case 'ABTrackedUsersPages':include('admin/modules/nukesentinel/ABTrackedUsersPages.php');break;
  }
} else {
  echo "Access Denied";
}